# RRDCreator::addDataSource

(PECL rrd >= 0.9.0)

RRDCreator::addDataSource — Adds data source definition for RRD database

### Description

public RRDCreator::addDataSource ( string `$description` ) : void

RRD can accept input from several data sources (DS), e.g incoming and outgoing traffic. This method adds data source by description. You need call this method for each data source.

### Parameters

`description`

  Definition of data source - DS. This has same format as DS definition in rrd create command. See man page of rrd create for more details.

### Return Values

No value is returned.